using System;

internal sealed class Delegate295 : MulticastDelegate
{
	public extern int Invoke(object object_0, Version version_0);

	public static int smethod_0(object object_0, Version version_0, Delegate295 delegate295_1)
	{
		return delegate295_1(object_0, version_0);
	}

	public extern Delegate295(object object_0, IntPtr intptr_0);

	static Delegate295()
	{
		Class10.smethod_13(typeof(Delegate295).TypeHandle);
	}

	internal static Delegate295 delegate295_0;
}
